package com.dcsoft.system.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import com.dcsoft.system.api.domain.SysDept;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设备信息对象 sys_equipment
 *
 * @author nichun
 * @date 2023-03-08
 */
public class SysEquipment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备Id */
    private Long id;

    /** 所属产品Id */
    @Excel(name = "所属产品Id")
    private Long productId;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String name;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String sequence;

    /** 设备Ip */
    @Excel(name = "设备Ip")
    private String ip;

    /** 设备密码 */
    @Excel(name = "设备密码")
    private String password;

    /** 设备区域 */
    @Excel(name = "设备区域")
    private Long spaceId;

    /** 设备位置 */
    @Excel(name = "设备位置")
    private Long pointId;

    /** 对接状态(0未对接 1对接成功) */
    private Long state;

    /** 设备状态(0在线 1离线) */
    private String flag;

    /***设备回调地址***/
    private String backUrl;

    /***设备回调地址***/
    private String isCj;


    /** 操作标识 */
    private String handle;

    /** 识别通用参数.时间窗 60 秒(默认) */
    private String comRecTimeWindow;

    /** 识别通用参数.识别等级 1:非活体  速度优先2:活体 安全优先(默认)  */
    private String comRecRank;

    /** 识别通用参数.识别距离 *1：无限制 *2：0.5 米以内 *3：1 米以内（Uface C 默认） *4：1.5 米以内 *5：2 米以内 *6：3 米以内 *7：4 米以内 若识别等级选择 2 活体，则 1、4、5、6、7 不可选；若识别等级选择 1 非活体，则 1-7 均可选。} */
    private String comRecDistModeType;

    /** 中英文语言类型 zh_CN: 简体中文 en: 英文 */
    private String languageType;

    /** 识别通用参数.继电器控制时间 500ms(默认) 继电器控制开门到关门之间的时间间隔，默认 500ms。请输入 100-25500 之间的整数，向下取整百。如：输入 101-199 之间的整数，实际生效的是 100ms。 */
    private String comRelayTime;

    /** 时区 */
    private String timeZone;

    /** 刷脸识别参数.刷脸模式开关 1:打开(默认) 2:关闭} */
    private String faceEnable;

    /** 刷脸识别参数.人像识别阈值 80(默认) 实际允许 0-100 之间的所有整数。提示：请输入 50-100 之间的整数。分数越高，识别准确率越高，但识别速度会变慢 */
    private String faceScore;

    /** 刷脸识别参数.人像检测类型 1:多人识别(默认) 2:单人识别 */
    private String faceDetectionType;

    /** 是否连续识别 1: 关（默认） 2: 开 */
    private String repeatRegEnable;

    /** 连续识别间隔时间 */
    private String regInterval;

    /** 刷卡识别参数.刷卡模式开关 1:打开(默认) 2:关闭 */
    private String cardEnable;

    /** 识别成功参数.语音播类型 1:播报名字(默认) 2:不播放 100:自定义 */
    private String recSucTtsModeType;

    /** 识别成功参数.语音播报自定义内容 允许{name}、{tag}。字段格式固定，其他内容只允许数字、英文和汉字，长度限制 255 个字符。如：{name}欢迎光临 */
    private String recSucTtsModeContent;

    /** 识别成功参数.屏幕显示文字 1 类型 1:姓名(默认) 100:自定义 */
    private String recSucDisplayText1Type;

    /** 识别成功参数.屏幕显示文字 2 自定义内容 */
    private String recSucDisplayText1Content;

    /** 识别成功参数.屏幕显示文字 2 类型 1:识别成功(默认) 100:自定义 */
    private String recSucDisplayText2Type;

    /** 识别成功参数.屏幕显示文字 2 自定义内容 */
    private String recSucDisplayText2Content;

    /** 识别成功参数.串口输出类型 1:开门(默认) 2:不输出 3:输出 phone 4:输出 cardNo 100:自定义 */
    private String recSucComModeType;

    /** 识别成功参数.串口输出自定义内容 */
    private String recSucComModeContent;

    /** 识别成功参数.韦根输出类型 1:不输出(默认) 2:韦根 26 3:韦根 34 */
    private String recSucWiegandType;

    /** 识别成功参数.韦根输出自定义内容 允许{phone}、{cardNo}。字段格式固定且只能为数字或字母，其他内容只允许数字、英文和英文符号，长度限制 255 个字符。串口支持输出韦根信号，设备需要外接串口 → 韦根信号转换小板，小板由本公司定制。自定义内容传入格式：韦根 26：#26WG{cardNo}#，韦根 34：#34WG{cardNo}#注意：{cardNo}+数字组合后，韦根 26 范围为 1-65535（待定），有效范围为 5 位；韦根 34 范围为 1-4294967295（待定），有效范围为 10 位。若超出范围，则输出的信号会进行转换，输出无效信号。 */
    private String recSucWiegandContent;

    /** 识别成功参数.继电器输出类型 1:输出(默认) 2:不输出 */
    private String recSucRelayType;

    /** 识别失败参数.识别失败开关 1:打开(默认) 2:关闭 */
    private String recFailEnable;

    /** 识别失败参数.判定次数 3(默认) 打开识别失败开关后，该选项有效；连续比对 N 次都未达到分数阈值，则判定为识别失败，默认 3 次；传入值请选择 1-20 之间的整数，1 表示快速判定但精确率最低，随着数值增加，判定时间增加，精确度提高 */
    private String recFailTimesThreshold;

    /** 识别失败参数.语音播类型 1:识别失败(默认) 2:不播放 100:自定义 */
    private String recFailTtsModeType;

    /** 识别失败参数.语音播报自定义内容 内容只允许数字、英文和汉字，长度限制 255 个字符。如：注意陌生人 */
    private String recFailTtsModeContent;

    /** 识别失败参数.屏幕显示文字类型 1:识别失败(默认) 100:自定义 */
    private String recFailDisplayTextType;

    /** 识别失败参数.屏幕显示文字自定义内容 内容只允许数字、中英文和中英文符号，长度限制 255 个字符。如：注意陌生人！ */
    private String recFailDisplayTextContent;

    /** 识别失败参数.串口输出类型 1:开门 2:不输出(默认) 100:自定义 */
    private String recFailComModeType;

    /** 识别失败参数.串口输出自定义内容 */
    private String recFailComModeContent;

    /** 识别失败参数.韦根输出类型 1:不输出(默认) 2:韦根 26 3:韦根 34 */
    private String recFailWiegandType;

    /** 识别失败参数.韦根输出自定义内容 */
    private String recFailWiegandContent;

    /** 识别失败参数.继电器输出类型 1:输出 2:不输出(默认) */
    private String recFailRelayType;

    /** 权限不足参数.语音播类型 1:播报姓名权限不足(默认) 2:不播放 100:自定义 */
    private String recNoPerTtsModeType;

    /** 权限不足参数.语音播报自定义内容 允许{name}、{tag}。字段格式固定，其他内容只允许数字、英文和汉字，长度限制 255 个字符。如：{name}无权通行 */
    private String recNoPerTtsModeContent;

    /** 权限不足参数.屏幕显示文字 1 类型 1:姓名(默认) 100:自定义 */
    private String recNoPerDisplayText1Type;

    /** 权限不足参数.屏幕显示文字 1 类型 1:姓名(默认) 100:自定义 */
    private String recNoPerDisplayText1Content;

    /** 权限不足参数.屏幕显示文字 1 类型 1:姓名(默认) 100:自定义 */
    private String recNoPerDisplayText2Type;

    /** 权限不足参数.屏幕显示文字 2 自定义内容 */
    private String recNoPerDisplayText2Content;

    /** 权限不足参数.串口输出类型 1:开门 2:不输出(默认) 3:输出 phone 4:输出 cardNo 100:自定义 */
    private String recNoPerComModeType;

    /** 权限不足参数.串口输出类型 1:开门 2:不输出(默认) 3:输出 phone 4:输出 cardNo 100:自定义 */
    private String recNoPerComModeContent;

    /** 权限不足参数.韦根输出类型 1:不输出(默认) 2:韦根 26 3:韦根 34 */
    private String recNoPerWiegandType;

    /** 权限不足参数.韦根输出自定义内容 */
    private String recNoPerWiegandContent;

    /** 权限不足参数.继电器输出类型 1:输出 2:不输出(默认) */
    private String recNoPerRelayType;

    /** 固定显示参数.显示文字内容 1 类型 1:不显示(默认) 2:应用名称 100:自定义 */
    private String scrDisplayText1Type;

    /** 固定显示参数.显示文字内容 1 自定义内容 长度限制 255 */
    private String scrDisplayText1Content;

    /** 固定显示参数.显示文字内容 2 类型 1:不显示 2:设备名称(默认) 100:自定义 */
    private String scrDisplayText2Type;

    /** 固定显示参数.显示文字内容 2 自定义内容 长度限制 255 */
    private String scrDisplayText2Content;

    /** 固定显示参数.是否显示设备序列号 true(默认) false */
    private String isShowDeviceKey;

    /** 固定显示参数.是否显示 IP true(默认) false */
    private String isShowIp;

    /** 固定显示参数.是否显示人数 true(默认) false */
    private String isShowPersonCount;

    /** 固定显示参数.显示图片 1 默认使用设备自带图片(jpg,jpeg,png,mp4) */
    private String scrImage1Url;

    /** 固定显示参数.显示图片 2 默认无图片(jpg,jpeg,png,mp4) */
    private String scrImage2Url;

    /** 测温开关，1 开，2 关 */
    private String isTemperatureOpen;

    /** 低温补偿开关，1 开，2 关 */
    private String temperatureCompensation;

    /** 有效温度最高值 */
    private String temperatureMeasureMax;

    /** 有效温度最低值 */
    private String temperatureMeasureMin;

    /** 高温补偿开关，1 开，2 关 */
    private String tempMapSwitch;

    /** 测温单位 */
    private String tempUnit;

    /** 口罩模式开关：1 开，2 关 */
    private String isMaskOpen;

    /** 异常温度判断值 */
    private String errorTemperature;

    private SysProduct product;

    private SysPoint point;

    private String  bigtype;

    private String doorNo;

    private String empowerRecordId;

    private String peopleId;

    private String entryExitType;

    /** 消费方式 */
    private String consumeType;

    /** 商户Id */
    private Long tenantId;

    private String consumeFlag;

    /** 系统对接 */
    private String systemFlag;

    private String doorIndexCode;

    private String deviceKey;

    private String deviceIp;

    private String port;

    public String getEntryExitType() {
        return entryExitType;
    }

    public void setEntryExitType(String entryExitType) {
        this.entryExitType = entryExitType;
    }

    public String getPeopleId() {
        return peopleId;
    }

    public void setPeopleId(String peopleId) {
        this.peopleId = peopleId;
    }

    public String getEmpowerRecordId() {
        return empowerRecordId;
    }

    public void setEmpowerRecordId(String empowerRecordId) {
        this.empowerRecordId = empowerRecordId;
    }

    public String getDoorNo() {
        return doorNo;
    }

    public void setDoorNo(String doorNo) {
        this.doorNo = doorNo;
    }

    public String getBigtype() {
        return bigtype;
    }

    public void setBigtype(String bigtype) {
        this.bigtype = bigtype;
    }

    public SysPoint getPoint() {
        return point;
    }

    public void setPoint(SysPoint point) {
        this.point = point;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProductId(Long productId)
    {
        this.productId = productId;
    }

    public Long getProductId()
    {
        return productId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setSequence(String sequence)
    {
        this.sequence = sequence;
    }

    public String getSequence()
    {
        return sequence;
    }
    public void setIp(String ip)
    {
        this.ip = ip;
    }

    public String getIp()
    {
        return ip;
    }
    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getPassword()
    {
        return password;
    }
    public void setSpaceId(Long spaceId)
    {
        this.spaceId = spaceId;
    }

    public Long getSpaceId()
    {
        return spaceId;
    }
    public void setPointId(Long pointId)
    {
        this.pointId = pointId;
    }

    public Long getPointId()
    {
        return pointId;
    }
    public void setState(Long state)
    {
        this.state = state;
    }

    public Long getState()
    {
        return state;
    }
    public void setFlag(String flag)
    {
        this.flag = flag;
    }

    public String getFlag()
    {
        return flag;
    }
    public void setComRecTimeWindow(String comRecTimeWindow)
    {
        this.comRecTimeWindow = comRecTimeWindow;
    }

    public String getComRecTimeWindow()
    {
        return comRecTimeWindow;
    }
    public void setComRecRank(String comRecRank)
    {
        this.comRecRank = comRecRank;
    }

    public String getComRecRank()
    {
        return comRecRank;
    }
    public void setComRecDistModeType(String comRecDistModeType)
    {
        this.comRecDistModeType = comRecDistModeType;
    }

    public String getComRecDistModeType()
    {
        return comRecDistModeType;
    }
    public void setLanguageType(String languageType)
    {
        this.languageType = languageType;
    }

    public String getLanguageType()
    {
        return languageType;
    }
    public void setComRelayTime(String comRelayTime)
    {
        this.comRelayTime = comRelayTime;
    }

    public String getComRelayTime()
    {
        return comRelayTime;
    }
    public void setTimeZone(String timeZone)
    {
        this.timeZone = timeZone;
    }

    public String getTimeZone()
    {
        return timeZone;
    }
    public void setFaceEnable(String faceEnable)
    {
        this.faceEnable = faceEnable;
    }

    public String getFaceEnable()
    {
        return faceEnable;
    }
    public void setFaceScore(String faceScore)
    {
        this.faceScore = faceScore;
    }

    public String getFaceScore()
    {
        return faceScore;
    }
    public void setFaceDetectionType(String faceDetectionType)
    {
        this.faceDetectionType = faceDetectionType;
    }

    public String getFaceDetectionType()
    {
        return faceDetectionType;
    }
    public void setRepeatRegEnable(String repeatRegEnable)
    {
        this.repeatRegEnable = repeatRegEnable;
    }

    public String getRepeatRegEnable()
    {
        return repeatRegEnable;
    }
    public void setRegInterval(String regInterval)
    {
        this.regInterval = regInterval;
    }

    public String getRegInterval()
    {
        return regInterval;
    }
    public void setCardEnable(String cardEnable)
    {
        this.cardEnable = cardEnable;
    }

    public String getCardEnable()
    {
        return cardEnable;
    }
    public void setRecSucTtsModeType(String recSucTtsModeType)
    {
        this.recSucTtsModeType = recSucTtsModeType;
    }

    public String getRecSucTtsModeType()
    {
        return recSucTtsModeType;
    }
    public void setRecSucTtsModeContent(String recSucTtsModeContent)
    {
        this.recSucTtsModeContent = recSucTtsModeContent;
    }

    public String getRecSucTtsModeContent()
    {
        return recSucTtsModeContent;
    }
    public void setRecSucDisplayText1Type(String recSucDisplayText1Type)
    {
        this.recSucDisplayText1Type = recSucDisplayText1Type;
    }

    public String getRecSucDisplayText1Type()
    {
        return recSucDisplayText1Type;
    }
    public void setRecSucDisplayText1Content(String recSucDisplayText1Content)
    {
        this.recSucDisplayText1Content = recSucDisplayText1Content;
    }

    public String getRecSucDisplayText1Content()
    {
        return recSucDisplayText1Content;
    }
    public void setRecSucDisplayText2Type(String recSucDisplayText2Type)
    {
        this.recSucDisplayText2Type = recSucDisplayText2Type;
    }

    public String getRecSucDisplayText2Type()
    {
        return recSucDisplayText2Type;
    }
    public void setRecSucDisplayText2Content(String recSucDisplayText2Content)
    {
        this.recSucDisplayText2Content = recSucDisplayText2Content;
    }

    public String getRecSucDisplayText2Content()
    {
        return recSucDisplayText2Content;
    }
    public void setRecSucComModeType(String recSucComModeType)
    {
        this.recSucComModeType = recSucComModeType;
    }

    public String getRecSucComModeType()
    {
        return recSucComModeType;
    }
    public void setRecSucComModeContent(String recSucComModeContent)
    {
        this.recSucComModeContent = recSucComModeContent;
    }

    public String getRecSucComModeContent()
    {
        return recSucComModeContent;
    }
    public void setRecSucWiegandType(String recSucWiegandType)
    {
        this.recSucWiegandType = recSucWiegandType;
    }

    public String getRecSucWiegandType()
    {
        return recSucWiegandType;
    }
    public void setRecSucWiegandContent(String recSucWiegandContent)
    {
        this.recSucWiegandContent = recSucWiegandContent;
    }

    public String getRecSucWiegandContent()
    {
        return recSucWiegandContent;
    }
    public void setRecSucRelayType(String recSucRelayType)
    {
        this.recSucRelayType = recSucRelayType;
    }

    public String getRecSucRelayType()
    {
        return recSucRelayType;
    }
    public void setRecFailEnable(String recFailEnable)
    {
        this.recFailEnable = recFailEnable;
    }

    public String getRecFailEnable()
    {
        return recFailEnable;
    }
    public void setRecFailTimesThreshold(String recFailTimesThreshold)
    {
        this.recFailTimesThreshold = recFailTimesThreshold;
    }

    public String getRecFailTimesThreshold()
    {
        return recFailTimesThreshold;
    }
    public void setRecFailTtsModeType(String recFailTtsModeType)
    {
        this.recFailTtsModeType = recFailTtsModeType;
    }

    public String getRecFailTtsModeType()
    {
        return recFailTtsModeType;
    }
    public void setRecFailTtsModeContent(String recFailTtsModeContent)
    {
        this.recFailTtsModeContent = recFailTtsModeContent;
    }

    public String getRecFailTtsModeContent()
    {
        return recFailTtsModeContent;
    }
    public void setRecFailDisplayTextType(String recFailDisplayTextType)
    {
        this.recFailDisplayTextType = recFailDisplayTextType;
    }

    public String getRecFailDisplayTextType()
    {
        return recFailDisplayTextType;
    }
    public void setRecFailDisplayTextContent(String recFailDisplayTextContent)
    {
        this.recFailDisplayTextContent = recFailDisplayTextContent;
    }

    public String getRecFailDisplayTextContent()
    {
        return recFailDisplayTextContent;
    }
    public void setRecFailComModeType(String recFailComModeType)
    {
        this.recFailComModeType = recFailComModeType;
    }

    public String getRecFailComModeType()
    {
        return recFailComModeType;
    }
    public void setRecFailComModeContent(String recFailComModeContent)
    {
        this.recFailComModeContent = recFailComModeContent;
    }

    public String getRecFailComModeContent()
    {
        return recFailComModeContent;
    }
    public void setRecFailWiegandType(String recFailWiegandType)
    {
        this.recFailWiegandType = recFailWiegandType;
    }

    public String getRecFailWiegandType()
    {
        return recFailWiegandType;
    }
    public void setRecFailWiegandContent(String recFailWiegandContent)
    {
        this.recFailWiegandContent = recFailWiegandContent;
    }

    public String getRecFailWiegandContent()
    {
        return recFailWiegandContent;
    }
    public void setRecFailRelayType(String recFailRelayType)
    {
        this.recFailRelayType = recFailRelayType;
    }

    public String getRecFailRelayType()
    {
        return recFailRelayType;
    }
    public void setRecNoPerTtsModeType(String recNoPerTtsModeType)
    {
        this.recNoPerTtsModeType = recNoPerTtsModeType;
    }

    public String getRecNoPerTtsModeType()
    {
        return recNoPerTtsModeType;
    }
    public void setRecNoPerTtsModeContent(String recNoPerTtsModeContent)
    {
        this.recNoPerTtsModeContent = recNoPerTtsModeContent;
    }

    public String getRecNoPerTtsModeContent()
    {
        return recNoPerTtsModeContent;
    }
    public void setRecNoPerDisplayText1Type(String recNoPerDisplayText1Type)
    {
        this.recNoPerDisplayText1Type = recNoPerDisplayText1Type;
    }

    public String getRecNoPerDisplayText1Type()
    {
        return recNoPerDisplayText1Type;
    }
    public void setRecNoPerDisplayText1Content(String recNoPerDisplayText1Content)
    {
        this.recNoPerDisplayText1Content = recNoPerDisplayText1Content;
    }

    public String getRecNoPerDisplayText1Content()
    {
        return recNoPerDisplayText1Content;
    }
    public void setRecNoPerDisplayText2Type(String recNoPerDisplayText2Type)
    {
        this.recNoPerDisplayText2Type = recNoPerDisplayText2Type;
    }

    public String getRecNoPerDisplayText2Type()
    {
        return recNoPerDisplayText2Type;
    }
    public void setRecNoPerDisplayText2Content(String recNoPerDisplayText2Content)
    {
        this.recNoPerDisplayText2Content = recNoPerDisplayText2Content;
    }

    public String getRecNoPerDisplayText2Content()
    {
        return recNoPerDisplayText2Content;
    }
    public void setRecNoPerComModeType(String recNoPerComModeType)
    {
        this.recNoPerComModeType = recNoPerComModeType;
    }

    public String getRecNoPerComModeType()
    {
        return recNoPerComModeType;
    }
    public void setRecNoPerComModeContent(String recNoPerComModeContent)
    {
        this.recNoPerComModeContent = recNoPerComModeContent;
    }

    public String getRecNoPerComModeContent()
    {
        return recNoPerComModeContent;
    }
    public void setRecNoPerWiegandType(String recNoPerWiegandType)
    {
        this.recNoPerWiegandType = recNoPerWiegandType;
    }

    public String getRecNoPerWiegandType()
    {
        return recNoPerWiegandType;
    }
    public void setRecNoPerWiegandContent(String recNoPerWiegandContent)
    {
        this.recNoPerWiegandContent = recNoPerWiegandContent;
    }

    public String getRecNoPerWiegandContent()
    {
        return recNoPerWiegandContent;
    }
    public void setRecNoPerRelayType(String recNoPerRelayType)
    {
        this.recNoPerRelayType = recNoPerRelayType;
    }

    public String getRecNoPerRelayType()
    {
        return recNoPerRelayType;
    }
    public void setScrDisplayText1Type(String scrDisplayText1Type)
    {
        this.scrDisplayText1Type = scrDisplayText1Type;
    }

    public String getScrDisplayText1Type()
    {
        return scrDisplayText1Type;
    }
    public void setScrDisplayText1Content(String scrDisplayText1Content)
    {
        this.scrDisplayText1Content = scrDisplayText1Content;
    }

    public String getScrDisplayText1Content()
    {
        return scrDisplayText1Content;
    }
    public void setScrDisplayText2Type(String scrDisplayText2Type)
    {
        this.scrDisplayText2Type = scrDisplayText2Type;
    }

    public String getScrDisplayText2Type()
    {
        return scrDisplayText2Type;
    }
    public void setScrDisplayText2Content(String scrDisplayText2Content)
    {
        this.scrDisplayText2Content = scrDisplayText2Content;
    }

    public String getScrDisplayText2Content()
    {
        return scrDisplayText2Content;
    }
    public void setIsShowDeviceKey(String isShowDeviceKey)
    {
        this.isShowDeviceKey = isShowDeviceKey;
    }

    public String getIsShowDeviceKey()
    {
        return isShowDeviceKey;
    }
    public void setIsShowIp(String isShowIp)
    {
        this.isShowIp = isShowIp;
    }

    public String getIsShowIp()
    {
        return isShowIp;
    }
    public void setIsShowPersonCount(String isShowPersonCount)
    {
        this.isShowPersonCount = isShowPersonCount;
    }

    public String getIsShowPersonCount()
    {
        return isShowPersonCount;
    }
    public void setScrImage1Url(String scrImage1Url)
    {
        this.scrImage1Url = scrImage1Url;
    }

    public String getScrImage1Url()
    {
        return scrImage1Url;
    }
    public void setScrImage2Url(String scrImage2Url)
    {
        this.scrImage2Url = scrImage2Url;
    }

    public String getScrImage2Url()
    {
        return scrImage2Url;
    }
    public void setIsTemperatureOpen(String isTemperatureOpen)
    {
        this.isTemperatureOpen = isTemperatureOpen;
    }

    public String getIsTemperatureOpen()
    {
        return isTemperatureOpen;
    }
    public void setTemperatureCompensation(String temperatureCompensation)
    {
        this.temperatureCompensation = temperatureCompensation;
    }

    public String getTemperatureCompensation()
    {
        return temperatureCompensation;
    }
    public void setTemperatureMeasureMax(String temperatureMeasureMax)
    {
        this.temperatureMeasureMax = temperatureMeasureMax;
    }

    public String getTemperatureMeasureMax()
    {
        return temperatureMeasureMax;
    }
    public void setTemperatureMeasureMin(String temperatureMeasureMin)
    {
        this.temperatureMeasureMin = temperatureMeasureMin;
    }

    public String getTemperatureMeasureMin()
    {
        return temperatureMeasureMin;
    }
    public void setTempMapSwitch(String tempMapSwitch)
    {
        this.tempMapSwitch = tempMapSwitch;
    }

    public String getTempMapSwitch()
    {
        return tempMapSwitch;
    }
    public void setTempUnit(String tempUnit)
    {
        this.tempUnit = tempUnit;
    }

    public String getTempUnit()
    {
        return tempUnit;
    }
    public void setIsMaskOpen(String isMaskOpen)
    {
        this.isMaskOpen = isMaskOpen;
    }

    public String getIsMaskOpen()
    {
        return isMaskOpen;
    }
    public void setErrorTemperature(String errorTemperature)
    {
        this.errorTemperature = errorTemperature;
    }

    public String getErrorTemperature()
    {
        return errorTemperature;
    }

    public String getHandle() {
        return handle;
    }

    public void setHandle(String handle) {
        this.handle = handle;
    }

    public SysProduct getProduct() {
        return product;
    }

    public void setProduct(SysProduct product) {
        this.product = product;
    }

    public String getBackUrl() {
        return backUrl;
    }

    public void setBackUrl(String backUrl) {
        this.backUrl = backUrl;
    }

    public String getIsCj() {
        return isCj;
    }

    public void setIsCj(String isCj) {
        this.isCj = isCj;
    }

    public String getConsumeType() {
        return consumeType;
    }

    public void setConsumeType(String consumeType) {
        this.consumeType = consumeType;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public String getConsumeFlag() {
        return consumeFlag;
    }

    public void setConsumeFlag(String consumeFlag) {
        this.consumeFlag = consumeFlag;
    }

    public String getSystemFlag() {
        return systemFlag;
    }

    public void setSystemFlag(String systemFlag) {
        this.systemFlag = systemFlag;
    }

    public String getDoorIndexCode() {
        return doorIndexCode;
    }

    public void setDoorIndexCode(String doorIndexCode) {
        this.doorIndexCode = doorIndexCode;
    }

    public String getDeviceKey() {
        return deviceKey;
    }

    public void setDeviceKey(String deviceKey) {
        this.deviceKey = deviceKey;
    }

    public String getDeviceIp() {
        return deviceIp;
    }

    public void setDeviceIp(String deviceIp) {
        this.deviceIp = deviceIp;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("productId", getProductId())
            .append("name", getName())
            .append("sequence", getSequence())
            .append("ip", getIp())
            .append("password", getPassword())
            .append("spaceId", getSpaceId())
            .append("pointId", getPointId())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("state", getState())
            .append("flag", getFlag())
            .append("comRecTimeWindow", getComRecTimeWindow())
            .append("comRecRank", getComRecRank())
            .append("comRecDistModeType", getComRecDistModeType())
            .append("languageType", getLanguageType())
            .append("comRelayTime", getComRelayTime())
            .append("timeZone", getTimeZone())
            .append("faceEnable", getFaceEnable())
            .append("faceScore", getFaceScore())
            .append("faceDetectionType", getFaceDetectionType())
            .append("repeatRegEnable", getRepeatRegEnable())
            .append("regInterval", getRegInterval())
            .append("cardEnable", getCardEnable())
            .append("recSucTtsModeType", getRecSucTtsModeType())
            .append("recSucTtsModeContent", getRecSucTtsModeContent())
            .append("recSucDisplayText1Type", getRecSucDisplayText1Type())
            .append("recSucDisplayText1Content", getRecSucDisplayText1Content())
            .append("recSucDisplayText2Type", getRecSucDisplayText2Type())
            .append("recSucDisplayText2Content", getRecSucDisplayText2Content())
            .append("recSucComModeType", getRecSucComModeType())
            .append("recSucComModeContent", getRecSucComModeContent())
            .append("recSucWiegandType", getRecSucWiegandType())
            .append("recSucWiegandContent", getRecSucWiegandContent())
            .append("recSucRelayType", getRecSucRelayType())
            .append("recFailEnable", getRecFailEnable())
            .append("recFailTimesThreshold", getRecFailTimesThreshold())
            .append("recFailTtsModeType", getRecFailTtsModeType())
            .append("recFailTtsModeContent", getRecFailTtsModeContent())
            .append("recFailDisplayTextType", getRecFailDisplayTextType())
            .append("recFailDisplayTextContent", getRecFailDisplayTextContent())
            .append("recFailComModeType", getRecFailComModeType())
            .append("recFailComModeContent", getRecFailComModeContent())
            .append("recFailWiegandType", getRecFailWiegandType())
            .append("recFailWiegandContent", getRecFailWiegandContent())
            .append("recFailRelayType", getRecFailRelayType())
            .append("recNoPerTtsModeType", getRecNoPerTtsModeType())
            .append("recNoPerTtsModeContent", getRecNoPerTtsModeContent())
            .append("recNoPerDisplayText1Type", getRecNoPerDisplayText1Type())
            .append("recNoPerDisplayText1Content", getRecNoPerDisplayText1Content())
            .append("recNoPerDisplayText2Type", getRecNoPerDisplayText2Type())
            .append("recNoPerDisplayText2Content", getRecNoPerDisplayText2Content())
            .append("recNoPerComModeType", getRecNoPerComModeType())
            .append("recNoPerComModeContent", getRecNoPerComModeContent())
            .append("recNoPerWiegandType", getRecNoPerWiegandType())
            .append("recNoPerWiegandContent", getRecNoPerWiegandContent())
            .append("recNoPerRelayType", getRecNoPerRelayType())
            .append("scrDisplayText1Type", getScrDisplayText1Type())
            .append("scrDisplayText1Content", getScrDisplayText1Content())
            .append("scrDisplayText2Type", getScrDisplayText2Type())
            .append("scrDisplayText2Content", getScrDisplayText2Content())
            .append("isShowDeviceKey", getIsShowDeviceKey())
            .append("isShowIp", getIsShowIp())
            .append("isShowPersonCount", getIsShowPersonCount())
            .append("scrImage1Url", getScrImage1Url())
            .append("scrImage2Url", getScrImage2Url())
            .append("isTemperatureOpen", getIsTemperatureOpen())
            .append("temperatureCompensation", getTemperatureCompensation())
            .append("temperatureMeasureMax", getTemperatureMeasureMax())
            .append("temperatureMeasureMin", getTemperatureMeasureMin())
            .append("tempMapSwitch", getTempMapSwitch())
            .append("tempUnit", getTempUnit())
            .append("isMaskOpen", getIsMaskOpen())
            .append("errorTemperature", getErrorTemperature())
            .toString();
    }
}
